[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# Signal

Install signal handler (deprecated)

## Declaration

Source position: oldlinux.pp line 1484

`function Signal(`
`Signum: LongInt;`
`Handler: SignalHandler`
`):SignalHandler;`

## Description

Signal installs a new signal handler for signal SigNum. This call has the same functionality as the SigAction call. The return value for Signal is the old signal handler, or nil on error.

## Errors

LinuxError is used to report errors :

SIG_ERR
  An error occurred.

## See also

SigAction |  | Install signal handler
Kill |  | Send a signal to a process

## Example

    Program example58;

    { Program to demonstrate the Signal function.}

    {
    do a kill -USR1 pid from another terminal to see what happens.
    replace pid with the real pid of this program.
    You can get this pid by running 'ps'.
    }

    uses oldlinux;

    Procedure DoSig(sig : Longint);cdecl;

    begin
       writeln('Receiving signal: ',sig);
    end;

    begin
       SigNal(SigUsr1,@DoSig);
       if LinuxError<>0 then
         begin
         writeln('Error: ',linuxerror,'.');
         halt(1);
         end;
       Writeln ('Send USR1 signal or press <ENTER> to exit');
       readln;
    end.

Documentation generated on: Feb 26 2014